For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Get supportSee a Demo
HomeAPI ReferenceSDKs
HomeAPI ReferenceSDKs
    • SDKs
    • WebView
  • API Reference
      • POSTCreate Attribution Events
      • POSTActivate Offer
      • POSTBoost Offer
      • POSTActivate Placement Slot
Get supportSee a Demo
API ReferenceAttributions

Create Attribution Events

POST
/v2/issuers/:organizationId/users/:userId/attributions
POST
/v2/issuers/:organizationId/users/:userId/attributions
$curl -X POST https://rewards-api.getkard.com/v2/issuers/organization-123/users/user-123/attributions \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": [
> {
> "type": "offerAttribution",
> "attributes": {
> "entityId": "60e4ba1da31c5a22a144c075",
> "eventCode": "VIEW",
> "medium": "SEARCH",
> "eventDate": "2025-01-01T00:00:00Z"
> }
> },
> {
> "type": "offerAttribution",
> "attributes": {
> "entityId": "60e4ba1da31c5a22a144c077",
> "eventCode": "IMPRESSION",
> "medium": "EMAIL",
> "eventDate": "2025-01-01T00:00:00Z"
> }
> },
> {
> "type": "notificationAttribution",
> "attributes": {
> "entityId": "60e4ba1da31c5a22a144c076",
> "eventCode": "IMPRESSION",
> "medium": "PUSH",
> "eventDate": "2025-01-01T00:00:00Z"
> }
> }
> ]
>}'
1{
2 "data": {
3 "type": "job",
4 "id": "c94a93a7-beb9-4e58-960c-2c812f849398",
5 "attributes": {
6 "status": "queued",
7 "message": "Attribution events are queued for processing"
8 }
9 }
10}

Call this endpoint to send attribution events made by a single enrolled user for processing. A maximum of 100 events can be included in a single request.

Required scopes: attributions:write

Was this page helpful?
Previous

Activate Offer

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

organizationIdstringRequired
Your issuer organization ID, provided by Kard
userIdstringRequired
The ID of the user as defined on the issuers system

Request

This endpoint expects an object.
datalist of objectsRequired

Discriminated union representing the request body for submitting attribution events. Use type to distinguish between the two:

  • offerAttribution: Events related to viewing or interacting with an offer.
  • notificationAttribution: Events related to viewing or interacting with a notification.

Response

This endpoint returns an object.
dataobject

Errors

400
Invalid Request
401
Unauthorized Error
500
Internal Server Error